CVE-2022-28878

Denial-of-Service (DoS) Vulnerability

More information

A denial-of-service (DoS) vulnerability was discovered in the F-Secure Atlant and in certain WithSecure products. While scanning fuzzed APK file, it is possible to crash the scanning engine. The exploit can be triggered remotely by an attacker.

This issue was reported to WithSecure through the Vulnerability Reward Program. No known exploit or attack has been seen in the wild.

Contributors

WithSecure would like to thank Antti Levomäki and Christian Jalio from Forcepoint for bringing this issue to our attention.

Antti Levomäki

Forcepoint

Christian Jalio

Forcepoint

    Status

  • Fixed
  • Action required

  • No user action is required.
  • Risk level

  • Medium
  • Fix

  • The required fix has been published through automatic update channel with Capricorn database on 2022-07-11_07.
  • Affected products

  • All WithSecure endpoint protection products for Windows and Mac, F-Secure Linux Security 64, F-Secure Linux Security 32, F-Secure Atlant, F-Secure Internet Gatekeeper, WithSecure Cloud Protection for Salesforce, WithSecure Collaboration Protection
  • Platforms

  • All supported platforms for the affected products
  • Date issued

  • 2022-07-22
  • Customer Support
  • Security advisories